Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1180795

Summary: Review Request: nodejs-prepend-http - Prepend http:// to humanized URLs like todomvc.com and localhost
Product: [Fedora] Fedora Reporter: Parag Nemade <pnemade>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, piotr1212
Target Milestone: ---Flags: piotr1212: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-02 08:42:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1178786    

Description Parag Nemade 2015-01-10 08:19:03 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-prepend-http.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-prepend-http-1.0.0-1.fc21.src.rpm

Description: 
Prepend http:// to humanized URLs like todomvc.com and localhost

Fedora Account System Username: pnemade

Comment 2 Piotr Popieluch 2015-01-31 12:39:44 UTC
APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find license in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1180795-nodejs-prepend-
     http/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-prepend-http-1.0.1-1.fc21.noarch.rpm
          nodejs-prepend-http-1.0.1-1.fc21.src.rpm
nodejs-prepend-http.noarch: W: spelling-error Summary(en_US) todomvc -> Dodoma
nodejs-prepend-http.noarch: W: spelling-error Summary(en_US) localhost -> local host, local-host, holocaust
nodejs-prepend-http.noarch: W: spelling-error %description -l en_US todomvc -> Dodoma
nodejs-prepend-http.noarch: W: spelling-error %description -l en_US localhost -> local host, local-host, holocaust
nodejs-prepend-http.noarch: W: only-non-binary-in-usr-lib
nodejs-prepend-http.src: W: spelling-error Summary(en_US) todomvc -> Dodoma
nodejs-prepend-http.src: W: spelling-error Summary(en_US) localhost -> local host, local-host, holocaust
nodejs-prepend-http.src: W: spelling-error %description -l en_US todomvc -> Dodoma
nodejs-prepend-http.src: W: spelling-error %description -l en_US localhost -> local host, local-host, holocaust
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-prepend-http (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-prepend-http:
    nodejs-prepend-http
    npm(prepend-http)



Source checksums
----------------
https://github.com/sindresorhus/prepend-http/archive/v1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7a700954ff6a34c32965c0e9e14a63f243feb88ab0fbe9d05f7dd9c9be380eb8
  CHECKSUM(SHA256) upstream package : 7a700954ff6a34c32965c0e9e14a63f243feb88ab0fbe9d05f7dd9c9be380eb8


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1180795
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Parag Nemade 2015-01-31 13:11:31 UTC
Thanks for this package review.

New Package SCM Request
=======================
Package Name: nodejs-prepend-http
Short Description: Prepend http:// to humanized URLs like todomvc.com and localhost
Upstream URL: https://github.com/sindresorhus/prepend-http
Owners: pnemade
Branches: f20 f21 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2015-02-01 15:44:00 UTC
Git done (by process-git-requests).

Comment 5 Parag Nemade 2015-02-02 08:40:38 UTC
Built in rawhide, therefore closing.